//
//  AGInspectorWindow.h
//  AGInspectorKit
//
//  Created by Seth Willits on 5/21/09.
//  Copyright 2009 Araelium Group. All rights reserved.
//

#import <Cocoa/Cocoa.h>
@class AGInspector;
@class AGSection;
@class AGSectionView;


@interface AGInspectorWindow : NSPanel {
	AGSectionView * sectionView;
	
	BOOL mResizesToFitInspectors;
	BOOL mNeedsResizing;
}

//- (BOOL)isFloatingPanel;
//- (void)setFloatingPanel:(BOOL)flag;
//- (BOOL)becomesKeyOnlyIfNeeded;
//- (void)setBecomesKeyOnlyIfNeeded:(BOOL)flag;
//- (BOOL)worksWhenModal;
//- (void)setWorksWhenModal:(BOOL)flag;

+ (id)inspectorWindow;

- (void)addSection:(AGSection *)section expand:(BOOL)expand animate:(BOOL)animate;
- (void)removeSection:(AGSection *)section;

- (void)setResizesToFitInspectors:(BOOL)resizes;
- (BOOL)resizesToFitInspectors;

@end
